# $Revision: 1.12 $, $Date: 2009/10/11 07:05:02 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	SVG
%define		pnam	Parser
Summary:	SVG::Parser - converts SVG XML documents into SVG objects
Summary(pl.UTF-8):	SVG::Parser - konwersja dokumentów SVG XML do obiektów SVG
Name:		perl-SVG-Parser
Version:	1.03
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	58e1f95faede185edf0657abc443f668
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-SVG >= 2.0
BuildRequires:	perl-XML-Parser
BuildRequires:	perl-XML-SAX
%endif
Requires:	perl-SVG >= 2.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SVG::Parser is an XML parser that converts SVG XML documents into SVG
objects that may then be manipulated by the SVG module before being
regenerated into XML. It will work using any installed Expat or SAX
parser, and may be given preferred list of parsers to try; the first
to load successfully will be used.

%description -l pl.UTF-8
SVG::Parser to analizator XML-a konwertujący dokumenty SVG XML na
obiekty SVG, którymi można manipulować przy użyciu modułu SVG przed
ponownym przekształceniem na XML. Moduł działa z dowolnym
zainstalowanym analizatorem Expat lub SAX, można podać listę
preferowanych analizatorów - zostanie użyty pierwszy, który uda się
załadować.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	destdir=$RPM_BUILD_ROOT \
	installdirs=vendor
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/SVG/Parser.pm
%{perl_vendorlib}/SVG/Parser
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-SVG-Parser.spec,v $
Revision 1.12  2009/10/11 07:05:02  amateja
- updated to 1.03

Revision 1.11  2008/07/27 22:54:14  arekm
- release 2

Revision 1.10  2007-02-13 07:47:14  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.8  2004/11/03 22:30:42  paladine
- formatting

Revision 1.7  2004/06/05 20:26:54  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.6  2004/05/06 18:43:22  ankry
- fixed perl-devel BR

Revision 1.5  2004/05/02 08:28:25  ankry
- license fixed, cosmetics

Revision 1.4  2004/04/27 15:26:26  ankry
- new bconds

Revision 1.3  2004/02/23 22:09:00  ankry
- pl fixes, cosmetics

Revision 1.2  2003/06/16 11:21:49  qboosh
- pl description, cleanups, BRs, removed dir belonging to perl-SVG

Revision 1.1  2003/06/16 06:02:45  adamg
- initial import
